com.impinj.stp

## Class StpApi

- java.lang.Object
- - com.impinj.stp.StpApi

-     public final class StpApi
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.AddLicenseKeyCommand` Protobuf type `Impinj.STP.AddLicenseKeyCommand`
    `static interface` | `StpApi.AddLicenseKeyCommandOrBuilder`
    `static class` | `StpApi.AddLicenseKeyResp` Protobuf type `Impinj.STP.AddLicenseKeyResp`
    `static interface` | `StpApi.AddLicenseKeyRespOrBuilder`
    `static class` | `StpApi.AddOrderedListEntriesCommand` Protobuf type `Impinj.STP.AddOrderedListEntriesCommand` Send a list of tag operations to perform.
    `static interface` | `StpApi.AddOrderedListEntriesCommandOrBuilder`
    `static class` | `StpApi.AddOrderedListEntriesResp` Protobuf type `Impinj.STP.AddOrderedListEntriesResp` Returns SUCCESS if the OrderedListEntries_ were added.
    `static interface` | `StpApi.AddOrderedListEntriesRespOrBuilder`
    `static class` | `StpApi.AddSerializationJobCommand` Protobuf type `Impinj.STP.AddSerializationJobCommand` Set the SerializationJob_
    `static interface` | `StpApi.AddSerializationJobCommandOrBuilder`
    `static class` | `StpApi.AddSerializationJobResp` Protobuf type `Impinj.STP.AddSerializationJobResp` See AddSerializationJobCommand_.
    `static interface` | `StpApi.AddSerializationJobRespOrBuilder`
    `static class` | `StpApi.AddTIDTableEntriesCommand` Protobuf type `Impinj.STP.AddTIDTableEntriesCommand` Send a list of tag operations to perform.
    `static interface` | `StpApi.AddTIDTableEntriesCommandOrBuilder`
    `static class` | `StpApi.AddTIDTableEntriesResp` Protobuf type `Impinj.STP.AddTIDTableEntriesResp` Returns SUCCESS if the TID entry was added.
    `static interface` | `StpApi.AddTIDTableEntriesRespOrBuilder`
    `static class` | `StpApi.AntennaConfig` Protobuf type `Impinj.STP.AntennaConfig` An antenna's RF, timing, and Gen 2 behavior parameters.
    `static interface` | `StpApi.AntennaConfigOrBuilder`
    `static class` | `StpApi.AntennasConfig` Protobuf type `Impinj.STP.AntennasConfig` A list of antenna configurations.
    `static interface` | `StpApi.AntennasConfigOrBuilder`
    `static class` | `StpApi.BlockPermalockConfig` Protobuf type `Impinj.STP.BlockPermalockConfig` Gen 2 BlockPermalock command (BlockPtr, BlockRange) on User Memory Bank - Read/Permalock behavior.
    `static interface` | `StpApi.BlockPermalockConfigOrBuilder`
    `static class` | `StpApi.CartonContentsError` Protobuf type `Impinj.STP.CartonContentsError`
    `static interface` | `StpApi.CartonContentsErrorOrBuilder`
    `static class` | `StpApi.CartonContentsErrorType` Protobuf enum `Impinj.STP.CartonContentsErrorType`
    `static class` | `StpApi.CartonContentsJob` Protobuf type `Impinj.STP.CartonContentsJob` A Carton contents job is what you use to provide you with an estimate of what tags are in a given carton
    `static interface` | `StpApi.CartonContentsJobOrBuilder`
    `static class` | `StpApi.CartonContentsReport` Protobuf type `Impinj.STP.CartonContentsReport`
    `static interface` | `StpApi.CartonContentsReportOrBuilder`
    `static class` | `StpApi.CartonContentsResult` Protobuf enum `Impinj.STP.CartonContentsResult`
    `static class` | `StpApi.CartonContentsTag` Protobuf type `Impinj.STP.CartonContentsTag`
    `static interface` | `StpApi.CartonContentsTagOrBuilder`
    `static class` | `StpApi.Command` Protobuf type `Impinj.STP.Command` From Host to Impinj Device
    `static interface` | `StpApi.CommandOrBuilder`
    `static class` | `StpApi.ConnectCommand` Protobuf type `Impinj.STP.ConnectCommand` Sent on the initial device connection to verify the health of the channel.
    `static interface` | `StpApi.ConnectCommandOrBuilder`
    `static class` | `StpApi.ConnectResp` Protobuf type `Impinj.STP.ConnectResp` Indicates that the connection was successful.
    `static interface` | `StpApi.ConnectRespOrBuilder`
    `static class` | `StpApi.DeviceConfig` Protobuf type `Impinj.STP.DeviceConfig` Defines the behavior of the device.
    `static interface` | `StpApi.DeviceConfigOrBuilder`
    `static class` | `StpApi.DeviceEventConfig` Protobuf type `Impinj.STP.DeviceEventConfig` Enable or disable classes of reports.
    `static interface` | `StpApi.DeviceEventConfigOrBuilder`
    `static class` | `StpApi.DeviceEventReport` Protobuf type `Impinj.STP.DeviceEventReport`
    `static interface` | `StpApi.DeviceEventReportOrBuilder`
    `static class` | `StpApi.DeviceExceptionEvent` Protobuf type `Impinj.STP.DeviceExceptionEvent` **NOT YET SUPPORTED**
    `static interface` | `StpApi.DeviceExceptionEventOrBuilder`
    `static class` | `StpApi.DeviceExceptionEventType` Protobuf enum `Impinj.STP.DeviceExceptionEventType` **NOT YET SUPPORTED**
    `static class` | `StpApi.DeviceFaultType` Protobuf enum `Impinj.STP.DeviceFaultType`
    `static class` | `StpApi.DeviceMode` Protobuf enum `Impinj.STP.DeviceMode`
    `static class` | `StpApi.DeviceOperatingState` Protobuf enum `Impinj.STP.DeviceOperatingState`
    `static class` | `StpApi.DeviceState` Protobuf type `Impinj.STP.DeviceState` The health or fault state of the device.
    `static interface` | `StpApi.DeviceStateOrBuilder`
    `static class` | `StpApi.DisengageCommand` Protobuf type `Impinj.STP.DisengageCommand` Called after StopCommand_, return the device to its initial state.
    `static interface` | `StpApi.DisengageCommandOrBuilder`
    `static class` | `StpApi.DisengageResp` Protobuf type `Impinj.STP.DisengageResp` See DisengageCommand_.
    `static interface` | `StpApi.DisengageRespOrBuilder`
    `static class` | `StpApi.EngageCommand` Protobuf type `Impinj.STP.EngageCommand` Tell the device to do any preparation possible before a StartCommand_ is sent so that the operation begins as soon after the start as possible.
    `static interface` | `StpApi.EngageCommandOrBuilder`
    `static class` | `StpApi.EngageResp` Protobuf type `Impinj.STP.EngageResp` See EngageCommand_.
    `static interface` | `StpApi.EngageRespOrBuilder`
    `static class` | `StpApi.EPCMemory` Protobuf type `Impinj.STP.EPCMemory` Describes the EPC memory of a tag.
    `static interface` | `StpApi.EPCMemoryOrBuilder`
    `static class` | `StpApi.ErrorCode` Protobuf enum `Impinj.STP.ErrorCode`
    `static class` | `StpApi.Filter` Protobuf type `Impinj.STP.Filter`
    `static interface` | `StpApi.FilterOrBuilder`
    `static class` | `StpApi.Gen2Mode` Protobuf enum `Impinj.STP.Gen2Mode`
    `static class` | `StpApi.Gen2Session` Protobuf enum `Impinj.STP.Gen2Session`
    `static class` | `StpApi.GetAntennaConfigCommand` Protobuf type `Impinj.STP.GetAntennaConfigCommand` Request the antenna configuration.
    `static interface` | `StpApi.GetAntennaConfigCommandOrBuilder`
    `static class` | `StpApi.GetAntennaConfigResp` Protobuf type `Impinj.STP.GetAntennaConfigResp` Return the configuration which was set on all antennas.
    `static interface` | `StpApi.GetAntennaConfigRespOrBuilder`
    `static class` | `StpApi.GetDeviceConfigCommand` Protobuf type `Impinj.STP.GetDeviceConfigCommand` Get the DeviceConfig_
    `static interface` | `StpApi.GetDeviceConfigCommandOrBuilder`
    `static class` | `StpApi.GetDeviceConfigResp` Protobuf type `Impinj.STP.GetDeviceConfigResp` Return the device configuration.
    `static interface` | `StpApi.GetDeviceConfigRespOrBuilder`
    `static class` | `StpApi.GetDeviceStateCommand` Protobuf type `Impinj.STP.GetDeviceStateCommand` Request the health of the device.
    `static interface` | `StpApi.GetDeviceStateCommandOrBuilder`
    `static class` | `StpApi.GetDeviceStateResp` Protobuf type `Impinj.STP.GetDeviceStateResp` The health of the device.
    `static interface` | `StpApi.GetDeviceStateRespOrBuilder`
    `static class` | `StpApi.GetOperationDataCommand` Protobuf type `Impinj.STP.GetOperationDataCommand`
    `static interface` | `StpApi.GetOperationDataCommandOrBuilder`
    `static class` | `StpApi.GetOperationDataResp` Protobuf type `Impinj.STP.GetOperationDataResp`
    `static interface` | `StpApi.GetOperationDataRespOrBuilder`
    `static class` | `StpApi.GetVersionsReaderCommand` Protobuf type `Impinj.STP.GetVersionsReaderCommand` Get versions of device firmware, API.
    `static interface` | `StpApi.GetVersionsReaderCommandOrBuilder`
    `static class` | `StpApi.GetVersionsReaderResp` Protobuf type `Impinj.STP.GetVersionsReaderResp` The device firmware and API versions.
    `static interface` | `StpApi.GetVersionsReaderRespOrBuilder`
    `static class` | `StpApi.GPIConfig` Protobuf type `Impinj.STP.GPIConfig` Define how input functions map to signal lines and defines input polarities.
    `static interface` | `StpApi.GPIConfigOrBuilder`
    `static class` | `StpApi.GPIEvent` Protobuf type `Impinj.STP.GPIEvent` Generated when any of the gpi inputs change
    `static interface` | `StpApi.GPIEventOrBuilder`
    `static class` | `StpApi.GPIOPolarity` Protobuf enum `Impinj.STP.GPIOPolarity`
    `static class` | `StpApi.GPIOSignalMode` Protobuf enum `Impinj.STP.GPIOSignalMode` The way that GPIOs are used, with functions on the same GPIOs or on separate GPIOs.
    `static class` | `StpApi.GPIOState` Protobuf enum `Impinj.STP.GPIOState`
    `static class` | `StpApi.GPOConfig` Protobuf type `Impinj.STP.GPOConfig` Define how output functions map to signal lines and defines output polarities.
    `static interface` | `StpApi.GPOConfigOrBuilder`
    `static class` | `StpApi.HandShake` Protobuf type `Impinj.STP.HandShake` API description sent as part of the connection.
    `static interface` | `StpApi.HandShakeOrBuilder`
    `static class` | `StpApi.InterDeviceCommunicationMetrics` Protobuf type `Impinj.STP.InterDeviceCommunicationMetrics`
    `static interface` | `StpApi.InterDeviceCommunicationMetricsOrBuilder`
    `static class` | `StpApi.InvalidResp` Protobuf type `Impinj.STP.InvalidResp` The command sent to the device was not recognized as valid.
    `static interface` | `StpApi.InvalidRespOrBuilder`
    `static class` | `StpApi.InventoryJob` Protobuf type `Impinj.STP.InventoryJob` What to report during an inventory.
    `static interface` | `StpApi.InventoryJobOrBuilder`
    `static class` | `StpApi.InventorySearchMode` Protobuf enum `Impinj.STP.InventorySearchMode` How to inventory tags.
    `static class` | `StpApi.LicenseKey` Protobuf type `Impinj.STP.LicenseKey`
    `static interface` | `StpApi.LicenseKeyOrBuilder`
    `static class` | `StpApi.LockConfig` Protobuf type `Impinj.STP.LockConfig` The Gen 2 lock payload.
    `static interface` | `StpApi.LockConfigOrBuilder`
    `static class` | `StpApi.LowEncodeVolumeEvent` Protobuf type `Impinj.STP.LowEncodeVolumeEvent` Generated when the remaining number of encodes falls below a threshold
    `static class` | `StpApi.LowEncodeVolumeEventConfig` Protobuf type `Impinj.STP.LowEncodeVolumeEventConfig` Configuration of Low Encode Volume Events
    `static interface` | `StpApi.LowEncodeVolumeEventConfigOrBuilder`
    `static interface` | `StpApi.LowEncodeVolumeEventOrBuilder`
    `static class` | `StpApi.LowEncodeVolumeEventType` Protobuf enum `Impinj.STP.LowEncodeVolumeEventType`
    `static class` | `StpApi.MonzaR6AFeatureConfig` Protobuf type `Impinj.STP.MonzaR6AFeatureConfig` Tag specific feature configuration for Monza R6-A tags.
    `static interface` | `StpApi.MonzaR6AFeatureConfigOrBuilder`
    `static class` | `StpApi.MonzaR6FeatureConfig` Protobuf type `Impinj.STP.MonzaR6FeatureConfig` Tag specific feature configuration for Monza R6 tags.
    `static interface` | `StpApi.MonzaR6FeatureConfigOrBuilder`
    `static class` | `StpApi.MonzaR6PFeatureConfig` Protobuf type `Impinj.STP.MonzaR6PFeatureConfig` Tag specific feature configuration for Monza R6P tags.
    `static interface` | `StpApi.MonzaR6PFeatureConfigOrBuilder`
    `static class` | `StpApi.MonzaR6PMemoryMapConfig` Protobuf enum `Impinj.STP.MonzaR6PMemoryMapConfig`
    `static class` | `StpApi.MonzaS6CFeatureConfig` Protobuf type `Impinj.STP.MonzaS6CFeatureConfig` Tag specific feature configuration for Monza S6C tags.
    `static interface` | `StpApi.MonzaS6CFeatureConfigOrBuilder`
    `static class` | `StpApi.MonzaSelfSerialization` Protobuf type `Impinj.STP.MonzaSelfSerialization` Monza Self-Serialization between 34-bits and 96-bits in length.
    `static interface` | `StpApi.MonzaSelfSerializationOrBuilder`
    `static class` | `StpApi.OperationData` Protobuf type `Impinj.STP.OperationData`
    `static class` | `StpApi.OperationDataDetails` Protobuf type `Impinj.STP.OperationDataDetails`
    `static interface` | `StpApi.OperationDataDetailsOrBuilder`
    `static interface` | `StpApi.OperationDataOrBuilder`
    `static class` | `StpApi.OperationEvent` Protobuf type `Impinj.STP.OperationEvent` **NOT YET SUPPORTED** A change in the device operating state driven by completion of the tag operation or a start or stop driven by GPI.
    `static interface` | `StpApi.OperationEventOrBuilder`
    `static class` | `StpApi.OperationEventType` Protobuf enum `Impinj.STP.OperationEventType` **NOT YET SUPPORTED**
    `static class` | `StpApi.OperationMetrics` Protobuf type `Impinj.STP.OperationMetrics`
    `static interface` | `StpApi.OperationMetricsOrBuilder`
    `static class` | `StpApi.OperationMode` Protobuf enum `Impinj.STP.OperationMode` How the reader will be used.
    `static class` | `StpApi.OperationResponsibility` Protobuf type `Impinj.STP.OperationResponsibility` Define which areas of tag memory this device is responsible for writing and which operations to perform.
    `static interface` | `StpApi.OperationResponsibilityOrBuilder`
    `static class` | `StpApi.OperationSummaryReport` Protobuf type `Impinj.STP.OperationSummaryReport` If enabled in ReportConfig_, this report is sent when the device operation stops.
    `static class` | `StpApi.OperationSummaryReportConfig` Protobuf type `Impinj.STP.OperationSummaryReportConfig` Enable a summary report at the end of the device operation.
    `static interface` | `StpApi.OperationSummaryReportConfigOrBuilder`
    `static interface` | `StpApi.OperationSummaryReportOrBuilder`
    `static class` | `StpApi.OperationSummaryResult` Protobuf enum `Impinj.STP.OperationSummaryResult`
    `static class` | `StpApi.OperationTriggerType` Protobuf enum `Impinj.STP.OperationTriggerType` **NOT YET SUPPORTED** The source of the operation start/stop.
    `static class` | `StpApi.OrderedListEntries` Protobuf type `Impinj.STP.OrderedListEntries`
    `static interface` | `StpApi.OrderedListEntriesOrBuilder`
    `static class` | `StpApi.OrderedListEntry` Protobuf type `Impinj.STP.OrderedListEntry`
    `static interface` | `StpApi.OrderedListEntryOrBuilder`
    `static class` | `StpApi.Packet` Protobuf type `Impinj.STP.Packet` The top-level Packet will contain a command, its response, or an async report messages.
    `static interface` | `StpApi.PacketOrBuilder`
    `static class` | `StpApi.Password` Protobuf type `Impinj.STP.Password` A password for accessing, securing, or locking a tag.
    `static class` | `StpApi.PasswordGenerationMethod` Protobuf enum `Impinj.STP.PasswordGenerationMethod`
    `static interface` | `StpApi.PasswordOrBuilder`
    `static class` | `StpApi.PCWord` Protobuf type `Impinj.STP.PCWord` EPC PC word, see Gen2 specification for packing of bits
    `static interface` | `StpApi.PCWordOrBuilder`
    `static class` | `StpApi.Region` Protobuf type `Impinj.STP.Region` Details needed to specify all region parameters.
    `static interface` | `StpApi.RegionOrBuilder`
    `static class` | `StpApi.RegulatoryRegion` Protobuf enum `Impinj.STP.RegulatoryRegion` RF regulatory region.
    `static class` | `StpApi.RemoveSerializationJobCommand` Protobuf type `Impinj.STP.RemoveSerializationJobCommand` **NOT YET SUPPORTED**
    `static interface` | `StpApi.RemoveSerializationJobCommandOrBuilder`
    `static class` | `StpApi.RemoveSerializationJobResp` Protobuf type `Impinj.STP.RemoveSerializationJobResp` **NOT YET SUPPORTED**
    `static interface` | `StpApi.RemoveSerializationJobRespOrBuilder`
    `static class` | `StpApi.Reply` Protobuf type `Impinj.STP.Reply` A response sent by all commands.
    `static interface` | `StpApi.ReplyOrBuilder`
    `static class` | `StpApi.Report` Protobuf type `Impinj.STP.Report` Async messages from Impinj Device to Host
    `static class` | `StpApi.ReportConfig` Protobuf type `Impinj.STP.ReportConfig` Define what to report to the client application.
    `static interface` | `StpApi.ReportConfigOrBuilder`
    `static interface` | `StpApi.ReportOrBuilder`
    `static class` | `StpApi.ReportType` Protobuf enum `Impinj.STP.ReportType` Use this type when registering a report handler.
    `static class` | `StpApi.Response` Protobuf type `Impinj.STP.Response` From Impinj Device to Host
    `static interface` | `StpApi.ResponseOrBuilder`
    `static class` | `StpApi.Serialization` Protobuf type `Impinj.STP.Serialization` How serial numbers are determined.
    `static class` | `StpApi.SerializationJob` Protobuf type `Impinj.STP.SerializationJob` What to write and whether to set passwords and lock the tag.
    `static class` | `StpApi.SerializationJobCompletionCriteria` Protobuf enum `Impinj.STP.SerializationJobCompletionCriteria`
    `static class` | `StpApi.SerializationJobFilters` Protobuf type `Impinj.STP.SerializationJobFilters`
    `static interface` | `StpApi.SerializationJobFiltersOrBuilder`
    `static interface` | `StpApi.SerializationJobOrBuilder`
    `static class` | `StpApi.SerializationJobType` Protobuf enum `Impinj.STP.SerializationJobType`
    `static interface` | `StpApi.SerializationOrBuilder`
    `static class` | `StpApi.SerialNumberRange` Protobuf type `Impinj.STP.SerialNumberRange` Serial number range can be up to 496-bits or full length of EPC (pad left with zeros)
    `static class` | `StpApi.SerialNumberRangeFormat` Protobuf enum `Impinj.STP.SerialNumberRangeFormat` Serial Number Range format specifies whether the EPC will be formatted in binary coded hexadecimal or binary coded decimal.
    `static interface` | `StpApi.SerialNumberRangeOrBuilder`
    `static class` | `StpApi.SetAntennaConfigCommand` Protobuf type `Impinj.STP.SetAntennaConfigCommand` Set the configuration for one or more antennas.
    `static interface` | `StpApi.SetAntennaConfigCommandOrBuilder`
    `static class` | `StpApi.SetAntennaConfigResp` Protobuf type `Impinj.STP.SetAntennaConfigResp` See SetAntennaConfigCommand_.
    `static interface` | `StpApi.SetAntennaConfigRespOrBuilder`
    `static class` | `StpApi.SetCartonContentsJobCommand` Protobuf type `Impinj.STP.SetCartonContentsJobCommand`
    `static interface` | `StpApi.SetCartonContentsJobCommandOrBuilder`
    `static class` | `StpApi.SetCartonContentsJobResp` Protobuf type `Impinj.STP.SetCartonContentsJobResp`
    `static interface` | `StpApi.SetCartonContentsJobRespOrBuilder`
    `static class` | `StpApi.SetDeviceConfigCommand` Protobuf type `Impinj.STP.SetDeviceConfigCommand` Set the device's behavior.
    `static interface` | `StpApi.SetDeviceConfigCommandOrBuilder`
    `static class` | `StpApi.SetDeviceConfigResp` Protobuf type `Impinj.STP.SetDeviceConfigResp` See SetDeviceConfigCommand_.
    `static interface` | `StpApi.SetDeviceConfigRespOrBuilder`
    `static class` | `StpApi.SetInventoryJobCommand` Protobuf type `Impinj.STP.SetInventoryJobCommand`
    `static interface` | `StpApi.SetInventoryJobCommandOrBuilder`
    `static class` | `StpApi.SetInventoryJobResp` Protobuf type `Impinj.STP.SetInventoryJobResp`
    `static interface` | `StpApi.SetInventoryJobRespOrBuilder`
    `static class` | `StpApi.SetOperationResultGPOCommand` Protobuf type `Impinj.STP.SetOperationResultGPOCommand`
    `static interface` | `StpApi.SetOperationResultGPOCommandOrBuilder`
    `static class` | `StpApi.SetOperationResultGPOResp` Protobuf type `Impinj.STP.SetOperationResultGPOResp` See SetOperationResultGPOCommand_.
    `static interface` | `StpApi.SetOperationResultGPORespOrBuilder`
    `static class` | `StpApi.StartCommand` Protobuf type `Impinj.STP.StartCommand` Start the encode or inventory operation.
    `static interface` | `StpApi.StartCommandOrBuilder`
    `static class` | `StpApi.StartResp` Protobuf type `Impinj.STP.StartResp` The reply to StartCommand_.
    `static interface` | `StpApi.StartRespOrBuilder`
    `static class` | `StpApi.StartTriggerConfig` Protobuf type `Impinj.STP.StartTriggerConfig` Always accept the start command from the client or optionally a GPI start trigger.
    `static interface` | `StpApi.StartTriggerConfigOrBuilder`
    `static class` | `StpApi.StopCommand` Protobuf type `Impinj.STP.StopCommand` Stop the current device encode or inventory operation.
    `static interface` | `StpApi.StopCommandOrBuilder`
    `static class` | `StpApi.StopResp` Protobuf type `Impinj.STP.StopResp` See StopCommand_.
    `static interface` | `StpApi.StopRespOrBuilder`
    `static class` | `StpApi.StopTriggerConfig` Protobuf type `Impinj.STP.StopTriggerConfig` Always accept stop command from the client or optionally from GPI, count, or timeout.
    `static interface` | `StpApi.StopTriggerConfigOrBuilder`
    `static class` | `StpApi.STPDevice` Protobuf type `Impinj.STP.STPDevice`
    `static interface` | `StpApi.STPDeviceOrBuilder`
    `static class` | `StpApi.TagMetrics` Protobuf type `Impinj.STP.TagMetrics`
    `static interface` | `StpApi.TagMetricsOrBuilder`
    `static class` | `StpApi.TagModeMetrics` Protobuf type `Impinj.STP.TagModeMetrics`
    `static interface` | `StpApi.TagModeMetricsOrBuilder`
    `static class` | `StpApi.TagOperationReport` Protobuf type `Impinj.STP.TagOperationReport` Timestamp, antenna id, frequency, RSSI should be last values on last attempt.
    `static class` | `StpApi.TagOperationReportConfig` Protobuf type `Impinj.STP.TagOperationReportConfig` Configure what types of reports to send from the device.
    `static interface` | `StpApi.TagOperationReportConfigOrBuilder`
    `static interface` | `StpApi.TagOperationReportOrBuilder`
    `static class` | `StpApi.TagOperationReportTrigger` Protobuf enum `Impinj.STP.TagOperationReportTrigger`
    `static class` | `StpApi.TagOperationReportType` Protobuf enum `Impinj.STP.TagOperationReportType`
    `static class` | `StpApi.TagOperationResult` Protobuf enum `Impinj.STP.TagOperationResult`
    `static class` | `StpApi.TIDMemory` Protobuf type `Impinj.STP.TIDMemory` Describes the TID memory of a tag.
    `static interface` | `StpApi.TIDMemoryOrBuilder`
    `static class` | `StpApi.TIDTableEntries` Protobuf type `Impinj.STP.TIDTableEntries` A list of tag operations to perform.
    `static interface` | `StpApi.TIDTableEntriesOrBuilder`
    `static class` | `StpApi.TIDTableEntry` Protobuf type `Impinj.STP.TIDTableEntry` Describes the operation to perform on a single tag.
    `static interface` | `StpApi.TIDTableEntryOrBuilder`
    `static class` | `StpApi.Timestamp` Protobuf type `Impinj.STP.Timestamp` The time that an event happened on the device.
    `static interface` | `StpApi.TimestampOrBuilder`
    `static class` | `StpApi.TriggerConfig` Protobuf type `Impinj.STP.TriggerConfig` Define how GPI signals affect operations start and stop.
    `static interface` | `StpApi.TriggerConfigOrBuilder`
    `static class` | `StpApi.Update` Protobuf type `Impinj.STP.Update` Async messages from host to device.
    `static interface` | `StpApi.UpdateOrBuilder`
    `static class` | `StpApi.UserMemory` Protobuf type `Impinj.STP.UserMemory`
    `static interface` | `StpApi.UserMemoryOrBuilder`
    `static class` | `StpApi.Version` Protobuf type `Impinj.STP.Version` A version of part of the system.
    `static interface` | `StpApi.VersionOrBuilder`
    `static class` | `StpApi.Versions` Protobuf type `Impinj.STP.Versions` A list of local API library and device versions.
    `static interface` | `StpApi.VersionsOrBuilder`
    `static class` | `StpApi.VersionType` Protobuf enum `Impinj.STP.VersionType` The local library or remote device component corresponding to the version.
    `static class` | `StpApi.VoidTagConfig` Protobuf type `Impinj.STP.VoidTagConfig`
    `static interface` | `StpApi.VoidTagConfigOrBuilder`
    `static class` | `StpApi.VoidTagResponsibility` Protobuf type `Impinj.STP.VoidTagResponsibility`
    `static interface` | `StpApi.VoidTagResponsibilityOrBuilder`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.FileDescriptor` | `getDescriptor()`
    `static void` | `registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### registerAllExtensions

          public static void registerAllExtensions(com.google.protobuf.ExtensionRegistry registry)

    - #### getDescriptor

          public static com.google.protobuf.Descriptors.FileDescriptor getDescriptor()